AESdecrypt Class Reference

`#include <aescpp.h>`

## Public Member Functions

| AESdecrypt (void)
| AESdecrypt (const unsigned char key[])
AES_RETURN | key128 (const unsigned char key[])
AES_RETURN | key192 (const unsigned char key[])
AES_RETURN | key256 (const unsigned char key[])
AES_RETURN | key (const unsigned char key[], int key_len)
AES_RETURN | decrypt (const unsigned char in[], unsigned char out[]) const
AES_RETURN | ecb_decrypt (const unsigned char in[], unsigned char out[], int nb) const
AES_RETURN | cbc_decrypt (const unsigned char in[], unsigned char out[], int nb, unsigned char iv[]) const

## Public Attributes

aes_decrypt_ctx | cx [1]

## Constructor & Destructor Documentation

## AESdecrypt() [1/2]

AESdecrypt::AESdecrypt | ( | void |  | ) |

inline

## AESdecrypt() [2/2]

AESdecrypt::AESdecrypt | ( | const unsigned char | key[] | ) |

inline

## Member Function Documentation

## cbc_decrypt()

AES_RETURN AESdecrypt::cbc_decrypt | ( | const unsigned char | in[],
|  | unsigned char | out[],
|  | int | nb,
|  | unsigned char | iv[]
| ) |  | const

inline

## decrypt()

AES_RETURN AESdecrypt::decrypt | ( | const unsigned char | in[],
|  | unsigned char | out[]
| ) |  | const

inline

## ecb_decrypt()

AES_RETURN AESdecrypt::ecb_decrypt | ( | const unsigned char | in[],
|  | unsigned char | out[],
|  | int | nb
| ) |  | const

inline

## key()

AES_RETURN AESdecrypt::key | ( | const unsigned char | key[],
|  | int | key_len
| ) |  |

inline

## key128()

AES_RETURN AESdecrypt::key128 | ( | const unsigned char | key[] | ) |

inline

## key192()

AES_RETURN AESdecrypt::key192 | ( | const unsigned char | key[] | ) |

inline

## key256()

AES_RETURN AESdecrypt::key256 | ( | const unsigned char | key[] | ) |

inline

## Member Data Documentation

## cx

aes_decrypt_ctx AESdecrypt::cx[1]

The documentation for this class was generated from the following file:

- aescpp.h